<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="/diagram">
	<nodelist>
	    <xsl:for-each select="//pathway">
		<node>
		    <xsl:attribute name="name">
			<xsl:choose>
			    <xsl:when test="name"><xsl:value-of select="name"/></xsl:when>
			    <xsl:otherwise>Pathway <xsl:value-of select="position()"/> (No name)</xsl:otherwise>
			</xsl:choose>
		    </xsl:attribute>
		    <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
		</node>
	    </xsl:for-each>
	</nodelist>
    </xsl:template>

</xsl:stylesheet>
																														    