<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
version="1.0">

	<xsl:template match="/">
	    
<nodelist>
		<xsl:apply-templates  select="rowset/row"/>	    
	    </nodelist>
	</xsl:template>

	<xsl:template match="row">
		<node>
			<xsl:attribute name="name">
			    <xsl:if test="./authors">
				<xsl:choose>
				    <xsl:when test="string-length(normalize-space(substring-before(./authors,','))) != 0">
					<xsl:value-of select="normalize-space(substring-before(./authors,','))"/>
				    </xsl:when>
				    <xsl:when test="string-length(normalize-space(substring-before(./authors,'and'))) != 0">
					<xsl:value-of select="normalize-space(substring-before(./authors,'and'))"/>
				    </xsl:when>
				    <xsl:otherwise>
					<xsl:value-of select="normalize-space(./authors)"/>
				    </xsl:otherwise>
				</xsl:choose>
			    </xsl:if>
			    <xsl:if test="./year"> :<xsl:value-of select="year"/></xsl:if>
			    <xsl:if test="./pages/first"> :<xsl:value-of select="pages/first"/></xsl:if>
			    <xsl:if test="./journal"> :<xsl:value-of select="journal"/></xsl:if>
			</xsl:attribute>
			<xsl:attribute name="id">
			    <xsl:value-of select="./id"/>
			</xsl:attribute>
			<xsl:attribute name="type">10</xsl:attribute>
		</node>
		
	</xsl:template>
						
</xsl:stylesheet>
