<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    
     <xsl:key name="Evidence" match="//object" use="Evidence/text()"/> 
    	
    <xsl:template match="/diagram">
	<nodelist>
	    <xsl:for-each select="//Evidence[generate-id(.)=generate-id(key('Evidence', Evidence/text()))]">
	        <node>
	    	    <xsl:attribute name="name">			
			<xsl:if test="name"><xsl:value-of select="Evidence"/></xsl:if>
			</xsl:attribute>
		    <xsl:attribute name="id"><xsl:value-of select="Evidence/text()"/></xsl:attribute>
		</node>
	    </xsl:for-each>
	</nodelist>
    </xsl:template>
    
</xsl:stylesheet>