<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
					 	xmlns:compartment="http://wwwmgs.bionet.nsc.ru/compartmentnamespace"
						version="1.0">

	<xsl:template match="/diagram">
	    <diagram>
	        <name>
		    <xsl:attribute name="invalid">
	                <xsl:value-of select="boolean(string-length(name/text()) = 0)"/>
		    </xsl:attribute>
		</name>

	        <de>
		    <xsl:attribute name="invalid">
	                <xsl:value-of select="boolean(string-length(de/text()) = 0)"/>
		    </xsl:attribute>
		</de>
		
		<color>
		    <xsl:attribute name="invalid">
			<xsl:value-of select="boolean(string-length(color/text()) = 0)"/>
		    </xsl:attribute>
		</color>

		<bordercolor>
		    <xsl:attribute name="invalid">
			<xsl:value-of select="boolean(string-length(bordercolor/text()) = 0)"/>
		    </xsl:attribute>
		</bordercolor>

		<xsl:if test="nm = 'rounded_rect'">
		    <r>
			<xsl:attribute name="invalid">
			    <xsl:value-of select="not(boolean(r))"/>
			</xsl:attribute>
		    </r>
		</xsl:if> 
								
		</diagram>
	</xsl:template>
	
</xsl:stylesheet>
